Package org.kapott.hbci.manager

## Class ChallengeInfo.Param

- java.lang.Object
- - org.kapott.hbci.manager.ChallengeInfo.Param

Enclosing class:
  ChallengeInfo

    public static class ChallengeInfo.Param
    extends java.lang.Object

Eine Bean fuer einen einzelnen Challenge-Parameter.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `format​(java.lang.String value)` Formatiert den Text abhaengig vom Typ.
`java.lang.String` `getPath()` Liefert den Pfad zum Wert.
`java.lang.String` `getType()` Liefert den Typ des Parameters.
`boolean` `isComplied​(java.util.Properties secmech)` Liefert true, wenn entweder keine Bedingung angegeben ist oder die Bedingung erfuellt ist und der Parameter verwendet werden kann.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isComplied

    public boolean isComplied​(java.util.Properties secmech)

Liefert true, wenn entweder keine Bedingung angegeben ist oder die Bedingung erfuellt ist und der Parameter verwendet werden kann.

Parameters:
  `secmech` - die BPD-Informationen zum TAN-Verfahren.
Returns:
  true, wenn der Parameter verwendet werden kann.

#### getType

    public java.lang.String getType()

Liefert den Typ des Parameters.

Returns:
  der Typ des Parameters.

#### getPath

    public java.lang.String getPath()

Liefert den Pfad zum Wert.

Returns:
  der Pfad zum Wert.

#### format

    public java.lang.String format​(java.lang.String value)

Formatiert den Text abhaengig vom Typ. Wenn kein Typ angegeben ist, wird der Wert unformatiert zurueckgegeben.

Parameters:
  `value` - der zu formatierende Wert.
Returns:
  der formatierte Wert.